<?php

/*
Template Name: Portfolio page
*/

get_header();

if ($post->post_parent)	{
	$ancestors=get_post_ancestors($post->ID);

	$root=count($ancestors)-1;
	$subpages = $ancestors[$root];
} else { 
	$subpages = $post->ID;
}

?>

<div id="main" class="center">
	
	<div class="content nopad">	
		<?php while ( have_posts() ) : the_post(); ?>
			<?php the_content();?>
		<?php endwhile; // End the loop. Whew. ?>
	</div>
	
	<div id="page" class="scol">
		
		<div class="portfolio">
		
			<?php $parent = $post->ID; ?>
			<?php $x = 0; ?>
			
			<?php
			query_posts('orderby=menu_order&order=ASC&post_type=page&post_parent='.$parent);
			while (have_posts()) : the_post();
				?> 
			
				<?php $x += 1; ?>
				
				<div class="portfolio_item">
					
					<a class="<?php if($x % 3 == 0) echo 'last' ?> " href="<?php the_permalink() ?>">
						
						 <?php echo get_the_post_thumbnail( $post->ID, 'portfolio' ); ?> 
						
						<div class="info">					
		
							<p class="title"><?php the_title(); ?></p>					
							
						</div>
					
					</a>
					
				</div>
			<?php endwhile; ?>
		
		</div>
		
	</div>
	
	<div class="clear"></div>
	
</div>

<?php get_footer(); ?>

